您尚未登录。

#1 2021-09-02 15:43:36

silkriver
会员
注册时间: 2020-07-24
帖子: 142

升级 xrdp 0.9.17-1 后无法远程

今天升级 archlinuxcn 上的 xrdp 0.9.17-1 后无法登录远程桌面了,xrdp.log中提示error loading libvnc.so specified in xrdp.ini
我降回 xrdp 0.9.16-2 了,有没有遇到同样问题的?

离线

#2 2021-09-02 17:58:22

DuckSoft
会员
注册时间: 2020-02-02
帖子: 11

Re: 升级 xrdp 0.9.17-1 后无法远程

也许你应该看看

xrdp.ini.pacnew

离线

#3 2021-09-02 22:34:54

silkriver
会员
注册时间: 2020-07-24
帖子: 142

Re: 升级 xrdp 0.9.17-1 后无法远程

xrdp.ini.pacnew 作为 xrdp.ini 也是一样报错,我就没再试了

离线

#4 2021-09-03 01:28:25

SamLukeYes
会员
所在地: Canton, China
注册时间: 2020-07-19
帖子: 282
个人网站

Re: 升级 xrdp 0.9.17-1 后无法远程

pacdiff 了解一下

离线

#5 2021-09-03 09:59:46

silkriver
会员
注册时间: 2020-07-24
帖子: 142

Re: 升级 xrdp 0.9.17-1 后无法远程

我检查到新版xrdp.ini只是改了vnc-any配置中ip是默认127.0.0.1还是允许用户输入,和这个错误没有关系
(之前我修改了xrdp.ini设置首选Xvnc而不是默认的Xorg,偶尔使用vnc-any)

我还有一台虚拟机上装的xrdp没有动过xrdp.ini,升级后也是同样的问题

离线

页脚